workstealing.h File Reference

Go to the source code of this file.

## Classes

struct | __gnu_parallel::_Job< _DifferenceTp >

## Namespaces

namespace | __gnu_parallel

## Macros

#define | _GLIBCXX_JOB_VOLATILE

## Functions

template<typename _RAIter, typename _Op, typename _Fu, typename _Red, typename _Result>
_Op | __gnu_parallel::__for_each_template_random_access_workstealing (_RAIter __begin, _RAIter __end, _Op __op, _Fu &__f, _Red __r, _Result __base, _Result &__output, typename std::iterator_traits< _RAIter >::difference_type __bound)

## Detailed Description

Parallelization of embarrassingly parallel execution by means of work-stealing.

Work stealing is described in

R. D. Blumofe and C. E. Leiserson. Scheduling multithreaded computations by work stealing. Journal of the ACM, 46(5):720-748, 1999.

This file is a GNU parallel extension to the Standard C++ Library.

Definition in file workstealing.h.

## Macro Definition Documentation

## _GLIBCXX_JOB_VOLATILE

#define _GLIBCXX_JOB_VOLATILE

Definition at line 50 of file workstealing.h.